org.red5.server.api.statistics

## Interface IClientBroadcastStreamStatistics

All Superinterfaces:
  IStatisticsBase, IStreamStatistics

All Known Implementing Classes:
  ClientBroadcastStream

    public interface IClientBroadcastStreamStatistics
    extends IStreamStatistics

Statistical informations about a stream that is broadcasted by a client.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

### Method Summary

Methods
`int` `getActiveSubscribers()` Return current number of subscribers.
`long` `getBytesReceived()` Return total number of bytes received from client for this stream.
`int` `getMaxSubscribers()` Return maximum number of concurrent subscribers.
`String` `getPublishedName()` Get stream publish name.
`String` `getSaveFilename()` Get the filename the stream is being saved as.
`int` `getTotalSubscribers()` Return total number of subscribers.

### Methods inherited from interface org.red5.server.api.statistics.IStreamStatistics

`getCurrentTimestamp`

### Methods inherited from interface org.red5.server.api.statistics.IStatisticsBase

`getCreationTime`

### Method Detail

#### getSaveFilename

    String getSaveFilename()

Get the filename the stream is being saved as.

Returns:
  The filename relative to the scope or `null` if the stream is not being saved.

#### getPublishedName

    String getPublishedName()

Get stream publish name. Publish name is the value of the first parameter had been passed to `NetStream.publish` on client side in SWF.

Returns:
  Stream publish name

#### getTotalSubscribers

    int getTotalSubscribers()

Return total number of subscribers.

Returns:
  number of subscribers

#### getMaxSubscribers

    int getMaxSubscribers()

Return maximum number of concurrent subscribers.

Returns:
  number of subscribers

#### getActiveSubscribers

    int getActiveSubscribers()

Return current number of subscribers.

Returns:
  number of subscribers

#### getBytesReceived

    long getBytesReceived()

Return total number of bytes received from client for this stream.

Returns:
  number of bytes